package com.hz.pm.api.todocenter;

import cn.hutool.json.JSONObject;
import com.hz.pm.api.AppTests;
import com.hz.pm.api.common.helper.UserInfoHelper;
import com.hz.pm.api.external.todo.MHTodoClient;
import com.hz.pm.api.external.todo.enumerization.MHTodoTypeEnum;
import com.hz.pm.api.user.security.model.UserFullInfoDTO;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * <p>
 * MhApiClientTest
 * </p>
 *
 * @author WendyYang
 * @since 10:06 2024/3/13
 */
public class MhApiClientTest extends AppTests {

    @Autowired
    private MHTodoClient mhTodoClient;
    @Autowired
    private UserInfoHelper userInfoHelper;

    @Test
    public void sendTodo() {
        UserFullInfoDTO assignee = new UserFullInfoDTO();
        assignee.setUserId(347873L);
        assignee.setMhUserId("62697f4ed80d823fa1f26c5a082d989e");
        JSONObject paramObj = new JSONObject();
        paramObj.set("projectId", 1213);
        paramObj.set("instId", 1213);
        paramObj.set("taskId", 1213);
        String content = String.format("【%s】的【%s】需要您审核，请及时处理。",
                "市住保房管局深化信创项目", "立项备案审批");
        mhTodoClient.addTodo(paramObj, assignee, MHTodoTypeEnum.XCFHX_INSPECT_AUDIT, "1212121", content);
    }

}
